1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

New to the PSP Scene - A bit overwhelmed

Discussion in 'Sony PSP - Mod and firmware discussion' started by kingblah, Aug 24, 2007.

  1. kingblah

    kingblah Member

    Joined:
    Oct 24, 2003
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    Hey all - I just put in an order for a PSP (from ebay, although it's advertised as new). Now, I've been doing LOTS of reading about this homebrew stuff - I mainly want to run ISO backups from the Memorystick slot.

    I am quite overwhelmed with the amount of information here and all this downgrading talk. I just need pointing in the right direction; I've tried searching and reading but to no avail.

    I'm confused as to what I will need to do in order to do this. Some topics i've searched for are saying one thing - others are saying another. And I'm not too sure which Firmware my PSP will come with - if that makes any difference.

    I hope you will be able to help a confused new PSP user :) Thanks!
     
  2. larrylje

    larrylje Active member

    Joined:
    Jan 4, 2005
    Messages:
    12,506
    Likes Received:
    0
    Trophy Points:
    96
    It will depend on what firmware your PSP has. So you will need to wait till you find that out.

    The only downgrader that will work on all firmware versions is the newly released Pandora's unbricker/downgrader. which you can read more about HERE.

    In order to use this homebrew to downgrade your PSP with offical firmware you need to use a PSP with either 1.50 official firmware or a PSP that has CFW installed on it. So if you know someone else that can play homebrew on their PSP you will need them to help out.

    If you don't know anyone with a PSP with 1.60 or CFW then you will need to wait on your PSP so you can find out what firmware it has.
     
    Last edited: Aug 24, 2007
  3. kingblah

    kingblah Member

    Joined:
    Oct 24, 2003
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    Thanks for the reply - in that case I'll have to look for an unbricker battery/memorystick set on ebay or something, as I don't know anyone with a PSP.

    Could anyone tell me the latest firmware version that you can downgrade from that doesn't require anything like that Lumines I read about, or the Pandora battery set?
     
  4. larrylje

    larrylje Active member

    Joined:
    Jan 4, 2005
    Messages:
    12,506
    Likes Received:
    0
    Trophy Points:
    96
    I think 2.71 and below dosen't need the GTA/Lumines game.

    But if you have a Wal-mart, K-mart or Best buy they might have the Lumines game. The local wal-mart and k-mart had them in stock for $19 here.
     
    Last edited: Aug 24, 2007
  5. kingblah

    kingblah Member

    Joined:
    Oct 24, 2003
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    11
    Unfortunately for me I live in the UK - which means generally finding a games store means venturing into a large town. There's then the risk of them not even having it in stock.

    I've seen lumines on ebay, but the cheapest i've seen it for is £26, which is $52, although that's not too bad I guess for what it will let you do.
     

Share This Page